Page MenuHomePhabricator

Hovercards options menu looks broken in Hungarian
Closed, ResolvedPublic

Description


Each row should have its own block formatting context, probably.

Event Timeline

Tgr created this task.May 18 2016, 3:07 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 18 2016, 3:07 PM
bmansurov triaged this task as High priority.May 18 2016, 5:14 PM

Probably a regression from my settings refactor.

Change 290359 had a related patch set uploaded (by Jdlrobson):
Fix float on wikis with long settings messages

https://gerrit.wikimedia.org/r/290359

I only see 2 options.


How can I see the third option as in the original screenshot?

Tgr added a comment.May 24 2016, 8:40 PM

Enable the navigation popup gadget.

@Tgr, is it "Hivatkozások előnézete: Az egérmutató fölé húzásával megjeleníti a szövegben elhelyezett hivatkozások adatait, anélkül hogy elugornánk onnan."? I have this enabled.

Tgr added a comment.May 24 2016, 8:58 PM

Unless you really like learning new languages, use Special:Preferences?uselang=en :) The one you need is Navigation popups.

@phuedx In order to demo that the patch has fixed the issue, I'd like to install the Gadgets extension on reading web staging but I'm getting the following error. Do you know what's causing it?

bmansurov@reading-web-staging-3:/srv/mediawiki-vagrant$ vagrant list-roles
Available roles:

/srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/environment.rb:153:in `match': invalid byte sequence in US-ASCII (ArgumentError)
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/environment.rb:153:in `match'
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/environment.rb:153:in `block in roles_available'
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/environment.rb:153:in `map!'
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/environment.rb:153:in `roles_available'
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/roles/list.rb:69:in `show_all'
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/roles/list.rb:48:in `execute'
	from /opt/vagrant/embedded/gems/gems/vagrant-1.7.4/lib/vagrant/cli.rb:42:in `execute'
	from /opt/vagrant/embedded/gems/gems/vagrant-1.7.4/lib/vagrant/environment.rb:301:in `cli'
	from /opt/vagrant/embedded/gems/gems/vagrant-1.7.4/bin/vagrant:174:in `<main>'
Tgr added a comment.May 25 2016, 10:17 PM

your /srv/mediawiki-vagrant/puppet/modules/role/manifests directory must contain something with weird characters in it.

bd808 added a subscriber: bd808.May 25 2016, 10:23 PM

@phuedx In order to demo that the patch has fixed the issue, I'd like to install the Gadgets extension on reading web staging but I'm getting the following error. Do you know what's causing it?

bmansurov@reading-web-staging-3:/srv/mediawiki-vagrant$ vagrant list-roles
Available roles:

/srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/environment.rb:153:in `match': invalid byte sequence in US-ASCII (ArgumentError)
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/environment.rb:153:in `match'
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/environment.rb:153:in `block in roles_available'
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/environment.rb:153:in `map!'
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/environment.rb:153:in `roles_available'
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/roles/list.rb:69:in `show_all'
	from /srv/vagrant-data/gems/gems/mediawiki-vagrant-0.13.2/lib/mediawiki-vagrant/roles/list.rb:48:in `execute'
	from /opt/vagrant/embedded/gems/gems/vagrant-1.7.4/lib/vagrant/cli.rb:42:in `execute'
	from /opt/vagrant/embedded/gems/gems/vagrant-1.7.4/lib/vagrant/environment.rb:301:in `cli'
	from /opt/vagrant/embedded/gems/gems/vagrant-1.7.4/bin/vagrant:174:in `<main>'

We tried to fix this with https://gerrit.wikimedia.org/r/#/c/258740/, so you might check to make sure you have the commit. The general problem is bad handling of locales between Vagrant and Puppet. You might try doing export LANG=en_US.UTF-8 before running vagrant.

Tgr added a comment.May 25 2016, 10:41 PM

@bd808: I don't think this is the same issue, that error was from puppet and referenced one of the generated files, this one is from ruby and references some of the roles.

$ grep --color='auto' -P -n "[\x80-\xFF]" puppet/modules/role/manifests/*
puppet/modules/role/manifests/contenttranslation.pp:29:#     category_keyword: 'Categoría'
puppet/modules/role/manifests/echo.pp:61:            'wgSitename'     => 'Wikipédia',

I would suspect those two characters. No idea why this error does not show up for others, maybe the staging site has some unusual shell encoding setting.

phuedx added a comment.EditedMay 26 2016, 4:05 AM

@bmansurov: Fortunately, I was able to enable the Gadgets role and provision without error. Maybe the change @bd808 mentioned has been applied?

The Gadgets extension is installed and auto-updating.

Jhernandez closed this task as Resolved.May 26 2016, 11:11 AM
Jhernandez added a subscriber: Jhernandez.

Thanks @phuedx

I've installed the gadget in staging and verified that this is fixed.